> For the complete documentation index, see [llms.txt](https://docs.inforiver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inforiver.com/formula-syntax/logical-functions.md).

# Logical functions

Apply logical functions to test conditions and return TRUE or FALSE results.

<table><thead><tr><th width="138">NAME</th><th width="543">DESCRIPTION</th><th data-hidden>SYNTAX</th><th data-hidden>EXPLANATION</th><th data-hidden>EXAMPLE</th></tr></thead><tbody><tr><td><a href="/formula-syntax/logical-functions/and.md">AND</a></td><td>Returns TRUE only if all conditions are TRUE.</td><td></td><td></td><td></td></tr><tr><td><a href="/formula-syntax/logical-functions/in.md">IN</a></td><td>Returns TRUE if the specified value is one of the values in the list or array.</td><td></td><td></td><td></td></tr><tr><td><a href="/formula-syntax/logical-functions/isblank.md">ISBLANK</a></td><td>Returns TRUE if the specified cell value is blank or empty.</td><td>ISBLANK(value)</td><td>Returns TRUE if AC is empty</td><td>ISBLANK(AC)</td></tr><tr><td><a href="/formula-syntax/logical-functions/isblank.md">ISEMPTY</a></td><td>Returns TRUE if the specified cell value is blank or empty. It works similar to ISBLANK.</td><td>ISEMPTY(value)</td><td>Returns TRUE if AC has no value</td><td>ISEMPTY(AC)</td></tr><tr><td><a href="/formula-syntax/logical-functions/isnumber.md">ISNUMBER</a></td><td>Returns TRUE if the cell value is a valid number.</td><td>ISNUMBER(value)</td><td>Returns AC-PY/PY if the value is a number else returns 0</td><td>IF(ISNUMBER((AC-PY)/PY), (AC-PY)/PY , 0)</td></tr><tr><td><a href="/formula-syntax/logical-functions/not.md">NOT</a></td><td>Returns the opposite logical value of the argument.</td><td>NOT( logical_test )</td><td>Will return 50 if the region is not West otherwise returns 25</td><td>IF(NOT(Region == "West"), 50, 25)</td></tr><tr><td><a href="/formula-syntax/logical-functions/or.md">OR</a></td><td>Returns TRUE if any argument is TRUE; returns FALSE only if all arguments are FALSE.</td><td>OR( logical_test1, [logical_test2], ... )</td><td>Will return 25 if the region is West or East otherwise returns 30</td><td>IF(OR(Region == "West", Region =="East"), 25, 30)</td></tr><tr><td><a href="/formula-syntax/logical-functions/xor.md">XOR</a></td><td>Returns TRUE if the number of satisfied conditions is odd, and FALSE if it is even.</td><td>XOR( logical_test1, [logical_test2], ... )</td><td>Will return 25 for all category in the West except for category Urban, and returns 25 for all Urban category under all region except for west, for all other items returns 30</td><td>IF(XOR(Region == "West", Category=="Urban"), 25, 30)</td></tr><tr><td><a href="/formula-syntax/logical-functions/isrefexist.md">ISREFEXIST</a></td><td>Returns TRUE if the specified reference exists in the model.</td><td></td><td></td><td></td></tr></tbody></table>

### Logical Operators

<table><thead><tr><th width="174.33333333333334">TITLE</th><th>OPERATORS</th><th>DESCRIPTION</th></tr></thead><tbody><tr><td>AND</td><td>&#x26;&#x26;</td><td>Logical AND</td></tr><tr><td>OR</td><td>||</td><td>Logical OR</td></tr><tr><td>XOR</td><td>^</td><td>Logical Exclusive OR</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.inforiver.com/formula-syntax/logical-functions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
